class DeleteTool extends Tool {
    constructor(key) {
        super("Delete", "delete", key);
    }

    onNodeClick(node) {
        graph.deleteNode(node[NODE_ID]);
    }

    onLinkClick(link) {
        graph.deleteLink(link[LINK_SOURCE][NODE_ID], link[LINK_TARGET][NODE_ID]);
    }
}